aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRich Wareham <rjw57@cam.ac.uk>2014-02-24 10:03:11 +0000
committerRich Wareham <rjw57@cam.ac.uk>2014-02-24 10:09:07 +0000
commitd047b28ac140b082ef31b9ee7769da505bfd509d (patch)
tree8061c2eaa7ca7c442e898768fd8d1fc594fe64c0
parentf78d5aa87b8f58a19364c93aed313214054e72af (diff)
downloadrneovim-d047b28ac140b082ef31b9ee7769da505bfd509d.tar.gz
rneovim-d047b28ac140b082ef31b9ee7769da505bfd509d.tar.bz2
rneovim-d047b28ac140b082ef31b9ee7769da505bfd509d.zip
get-libuv.sh: compile bundled libuv
Rename file to reflect new intent of script. Libuv is bundled into the third-party directory. Modify the script to compile but not fetch libuv.
-rw-r--r--scripts/compile-libuv.sh10
-rw-r--r--scripts/get-libuv.sh16
2 files changed, 10 insertions, 16 deletions
diff --git a/scripts/compile-libuv.sh b/scripts/compile-libuv.sh
new file mode 100644
index 0000000000..f07120ed56
--- /dev/null
+++ b/scripts/compile-libuv.sh
@@ -0,0 +1,10 @@
+. scripts/common.sh
+
+uv_dir="third-party/libuv"
+
+cd "$uv_dir"
+sh autogen.sh
+./configure --prefix="$prefix"
+make
+make install
+rm "$prefix/lib/"libuv*.{so,dylib} "$prefix/lib/"libuv*.{so,dylib}.* || true
diff --git a/scripts/get-libuv.sh b/scripts/get-libuv.sh
deleted file mode 100644
index 9f3eceb218..0000000000
--- a/scripts/get-libuv.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-. scripts/common.sh
-
-uv_repo=joyent/libuv
-uv_ver=v0.11.19
-uv_dir="$deps/uv-$uv_ver"
-uv_sha1=5539d8e99e22b438cf4a412d4cec70ac6bb519fc
-
-rm -rf "$uv_dir"
-
-github_download "$uv_repo" "$uv_ver" "$uv_dir" "$uv_sha1"
-cd "$uv_dir"
-sh autogen.sh
-./configure --prefix="$prefix"
-make
-make install
-rm "$prefix/lib/"libuv*.{so,dylib} "$prefix/lib/"libuv*.{so,dylib}.* || true